## Summary
<!--Explain briefly what goes wrong and explain why you believe this is a bug and not the intended behavior of SQLite (if it is not a crash).-->**No review yet**

## Minimized query

```sql
((BEGIN)) DEFERRED TRANSACTION;
PRAGMA wal_autocheckpoint = '_';
.eqp on
ATTACH DATABASE ':memory:' AS aux95;
CREATE TABLE `T1` (
  A VARCHAR(')') PRIMARY KEY,
  X VARCHAR(10) UNIQUE
);
CREATE TABLE main.T2 (
  A VARCHAR(20) PRIMARY KEY,
  Y VARCHAR(10) UNIQUE
);
INSERT INTO T1 VALUES ('a', 'm');
INSERT INTO T1 VALUES ('b', 'n');
INSERT INTO T1 VALUES ('c', 'o');
INSERT INTO T2 VALUES ('b', 'k');
INSERT INTO T2 VALUES ('c', 'l');
selECt A FROM T1 INTERSECT SELECT A FROM T2; /**/ INSERT OR IGNORE INTO T2 VALUES (0, 3);
CREATE  INDEX IF NOT EXISTS idx_T1_3456 ON T1(A COLLATE NOCASE);
DETACH DATABASE aux95;
creATE VIRTUAL TABLE t0 USING fts3("x", "y", "z");
DROP TABLE t0;

SELECT COUNT(*) FROM T1;
DROP INDEX IF EXISTS T2;
PRAGMA cache_spill = ON;
DELETE FROM T2 WHere Y > (SELECT AVG(Y) FROM T2);

SELECT COUNT(*) FROM T1;

SELECT COUNT(*) FROM T1;
ALTER TABLE T2 RENAME TO T2_r6528;
PRAGMA legacy_alter_table;
WITH cte AS (SELECT 1 AS x) SELECT x + 0.5 FROM cte;
ALTER TABLE T2 DROP COLUMN A;
CREATE TABLE T (
  a DOUBLE PRECISION,
  b INTEGER,
  c REAL /**/ );
INSERT INTO T VALUES ('a',1,2.0), ('a',2,-3.0), ('b',1,4.5);
SELECT a,b,c,
SUM(c) OVER (
  PARTITION BY a
  ORDER BY b
) AS d
FROM T;
CREATE TABLE T (
  a INTEGER,
  b TEXT,
  c REAL
);
INSERT INTO T VALUES (1,'a',1.25), (2,'b',-3.5), (3,'c',0.0);
SELECT * FROM T WHERE c < 2.0 ORDER BY c;
ALTER TABLE T RENAME TO T_r7988;
INSERT INTO T2 DEFAULT VALUES;
SELECT COUNT(*) FILTER (WHERE c IS NOT NULL), SUM(rowid) FILTER (WHERE c > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(c) FILTER (WHERE c > 0 AND c < 100), COUNT(*) FILTER (WHERE typeof(c) = "text") FROM T;
INSERT INTO T VALUES (NULL, NULL, NULL);
COMMIT TRANSACTION;
```

## Actual output

```sql
Usage: /home/test/sqlite3-src/build/sqlite3 [OPTIONS] FILENAME [SQL]
FILENAME is the name of an SQLite database. A new database is created
if the file does not previously exist.
OPTIONS include:
   -append              append the database to the end of the file
   -ascii               set output mode to 'ascii'
   -bail                stop after hitting an error
   -batch               force batch I/O
   -box                 set output mode to 'box'
   -column              set output mode to 'column'
   -cmd COMMAND         run "COMMAND" before reading stdin
   -csv                 set output mode to 'csv'
   -deserialize         open the database using sqlite3_deserialize()
   -echo                print commands before execution
   -init FILENAME       read/process named file
   -[no]header          turn headers on or off
   -help                show this message
   -html                set output mode to HTML
   -interactive         force interactive I/O
   -json                set output mode to 'json'
   -line                set output mode to 'line'
   -list                set output mode to 'list'
   -lookaside SIZE N    use N entries of SZ bytes for lookaside memory
   -markdown            set output mode to 'markdown'
   -maxsize N           maximum size for a --deserialize database
   -memtrace            trace all memory allocations and deallocations
   -mmap N              default mmap size set to N
   -newline SEP         set output row separator. Default: '\n'
   -nofollow            refuse to open symbolic links to database files
   -nonce STRING        set the safe-mode escape nonce
   -nullvalue TEXT      set text string for NULL values. Default ''
   -pagecache SIZE N    use N slots of SZ bytes each for page cache memory
   -quote               set output mode to 'quote'
   -readonly            open the database read-only
   -safe                enable safe-mode
   -separator SEP       set output column separator. Default: '|'
   -stats               print memory stats before each finalize
   -table               set output mode to 'table'
   -tabs                set output mode to 'tabs'
   -version             show SQLite version
   -vfs NAME            use NAME as the default VFS
```

## Expectation

```sql

```

## Flag

```
-help
```

